diff options
author | Holger Levsen <holger@layer-acht.org> | 2015-04-22 15:16:15 +0200 |
---|---|---|
committer | Holger Levsen <holger@layer-acht.org> | 2015-04-22 15:16:15 +0200 |
commit | a6f18f8f7ccaf6944f14f490cd3390da88d27be0 (patch) | |
tree | d237c17d3a9a3f31cc04fe57a3d5d581d65b9615 | |
parent | 233d8a3bad5e73bb72997484c6ae7c07cef3f0ad (diff) | |
download | jenkins.debian.net-a6f18f8f7ccaf6944f14f490cd3390da88d27be0.tar.xz |
also retry 3 times
-rwxr-xr-x | bin/find_dpkg_trigger_cycles.sh | 4 |
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/find_dpkg_trigger_cycles.sh b/bin/find_dpkg_trigger_cycles.sh index 7b83ecce..4fd1c16e 100755 --- a/bin/find_dpkg_trigger_cycles.sh +++ b/bin/find_dpkg_trigger_cycles.sh @@ -157,14 +157,14 @@ function finish { trap finish EXIT # find all binary packages with /triggers$ -curl --globoff "http://binarycontrol.debian.net/?q=&path=${DIST}%2F[^%2F]%2B%2Ftriggers%24&format=pkglist" \ +curl --retry 3 --retry-delay 10 --globoff "http://binarycontrol.debian.net/?q=&path=${DIST}%2F[^%2F]%2B%2Ftriggers%24&format=pkglist" \ | xargs apt-get $APT_OPTS --print-uris download \ | sed -ne "s/^'\([^']\+\)'\s\+\([^_]\+\)_.*/\2 \1/p" \ | sort \ | while read pkg url; do echo "working on $pkg..." >&2 tmpdir=`mktemp -d --tmpdir="$scratch"` - ( curl --retry 2 --retry-delay 10 --location --silent "$url" || ( echo "curl failed with exit $?">&2; exit 1 ) ) \ + ( curl --retry 3 --retry-delay 10 --location --silent "$url" || ( echo "curl failed with exit $?">&2; exit 1 ) ) \ | dpkg-deb --ctrl-tarfile /dev/stdin \ | tar -C "$tmpdir" --exclude=./md5sums -x if [ ! -f "$tmpdir/triggers" ]; then |